automorph.transport.http.endpoint

Members list

Type members

Classlikes

final case class TapirHttpEndpoint[Effect[_]](effectSystem: EffectSystem[Effect], pathPrefix: String, method: Option[HttpMethod], mapException: Throwable => Int, handler: RequestHandler[Effect, Context]) extends EndpointTransport[Effect, Context, Full[Unit, Unit, Request, Unit, (Array[Byte], StatusCode), Any, Effect]]

Tapir HTTP endpoint message transport plugin.

Tapir HTTP endpoint message transport plugin.

Interprets HTTP request body as an RPC request and processes it using the specified RPC request handler.

  • The response returned by the RPC request handler is used as HTTP response body.

Type parameters

Effect

effect type

Value parameters

effectSystem

effect system plugin

handler

RPC request handler

mapException

maps an exception to a corresponding HTTP status code

method

allowed HTTP method, all methods are allowed if empty

pathPrefix

HTTP URL path prefix, only requests starting with this path prefix are allowed

Attributes

Constructor

Creates a Tapir HTTP endpoint message transport plugin with specified effect system and request handler.

See also
Companion
object
Supertypes
trait Serializable
trait Product
trait Equals
trait EndpointTransport[Effect, Context, Full[Unit, Unit, Request, Unit, (Array[Byte], StatusCode), Any, Effect]]
class Object
trait Matchable
class Any
Show all

Attributes

Companion
class
Supertypes
trait Product
trait Mirror
class Object
trait Matchable
class Any
Self type